Gda.ServerProvider – Gda-6.0 Reference Manual

# ServerProvider

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_server_provider_get_type ()" ) ]
public abstract class ServerProvider : Object, Lockable
Namespace: Gda
Package: Gda-6.0

## Content:

### Static methods:

- public static Quark error_quark ()
- public static void* get_impl_functions_for_class (ObjectClass klass, ServerProviderFunctionsType type)
- public static MainContext get_real_main_context (Connection? cnc)
- public static string load_resource_contents (string prov_name, string resource)

### Creation methods:

- protected ServerProvider ()

### Methods:

- public ServerOperation? create_operation (Connection? cnc, ServerOperationType type, Set? options) throws Error
- public SqlParser create_parser (Connection? cnc)
- public string escape_string (Connection? cnc, string str)
- public unowned DataHandler get_data_handler_dbms (Connection? cnc, string for_type)
- public unowned DataHandler get_data_handler_g_type (Connection? cnc, Type for_type)
- public unowned string? get_default_dbms_type (Connection? cnc, Type type)
- public unowned string get_name ()
- public unowned string get_server_version (Connection cnc)
- public unowned string get_version ()
- public void handler_declare (DataHandler dh, Connection cnc, Type g_type, string dbms_type)
- public unowned DataHandler handler_find (Connection? cnc, Type g_type, string? dbms_type)
- public unowned DataHandler handler_use_default (Type type)
- public unowned SqlParser internal_get_parser ()
- public bool perform_operation (Connection? cnc, ServerOperation op) throws Error
- public bool perform_operation_default (Connection? cnc, ServerOperation op) throws Error
- public string? render_operation (Connection? cnc, ServerOperation op) throws Error
- public Value? string_to_value (Connection? cnc, string string, Type preferred_type, string? dbms_type)
- public bool supports_feature (Connection? cnc, ConnectionFeature feature)
- public bool supports_operation (Connection? cnc, ServerOperationType type, Set? options)
- public string unescape_string (Connection? cnc, string str)
- public string value_to_sql_string (Connection? cnc, Value from)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.Lockable

- @lock

- @unlock

- trylock